VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- ~

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages

### - g -

- getActiveVoices() : VoiceProcessor
- getBusArrangement() : HostCheckerProcessor
- getCurrentExchangeData() : HostCheckerProcessor
- getCurrentProgram() : Processor , PianoProcessor , DX10Processor , EPianoProcessor , JX10Processor
- getDefaultMessageText() : AGainController
- getEventLogger() : HostCheck
- getEventLogs() : HostCheck
- getFactory() : VstModule
- getInfo() : ProxyParameter
- getKeyswitchCount() : HostCheckerController
- getKeyswitchInfo() : HostCheckerController
- getLatencySamples() : HostCheckerProcessor
- getLogEvents() : EventLogDataBrowserSource , EventLogger
- getMidiControllerAssignment() : AGainController , HostCheckerController , BaseController , Controller
- getName() : TestSuite , Validator
- getNoteExpressionCount() : HostCheckerController , Controller , PlugController
- getNoteExpressionInfo() : HostCheckerController , Controller , PlugController
- getNoteExpressionStringByValue() : HostCheckerController , Controller , PlugController
- getNoteExpressionValueByString() : HostCheckerController , Controller , PlugController
- getNoteId() : VoiceBase< numValues, SamplePrecision, numChannels, GlobalParameterStorage >
- getNumPrograms() : Processor , DX10Processor , EPianoProcessor , JX10Processor , PianoProcessor
- getParameterIDFromFunctionName() : HostCheckerController
- getParameters() : BaseController
- getParamStringByValue() : RePsychoController , RezFilterController , RingModController , RoundPanController , ShepardController , SplitterController , StereoController , SubSynthController , TalkBoxController , TestToneController , ThruZeroController , TrackerController , AGainController , BandistoController , BeatBoxController , DegradeController , DelayController , DetuneController , DitherController , DubDelayController , DX10Controller , DynamicsController , EPianoController , JX10Controller , LeslieController , LimiterController , LoudnessController , MultiBandController , OverdriveController , PianoController
- getParamValueByString() : AGainController , BandistoController , BeatBoxController , DegradeController , DelayController , DetuneController , ThruZeroController , DitherController , DubDelayController , DynamicsController , EPianoController , JX10Controller , LeslieController , LimiterController , RingModController , LoudnessController , MultiBandController , OverdriveController , PianoController , RePsychoController , RezFilterController , RoundPanController , ShepardController , SplitterController , StereoController , SubSynthController , TalkBoxController , TestToneController , TrackerController
- getPhysicalUIMapping() : HostCheckerController , Controller
- getPitchName() : PitchNamesDataBrowserSource
- getPrecision() : ProxyParameter
- getPrefetchableSupport() : HostCheckerProcessor , Plug
- getProcessContextRequirements() : HostCheckerProcessor
- getProgramListCount() : BaseController
- getProgramListInfo() : BaseController
- getProgramName() : BaseController
- getProxy() : ProxyParameter
- getRoutingInfo() : HostCheckerProcessor
- getSampleRate() : Processor , VoiceBase< numValues, SamplePrecision, numChannels, GlobalParameterStorage > , BaseController
- getSavedSize() : HostCheckerController
- getSize() : BrownNoise< SamplePrecision >
- getState() : Plug , Processor , ControllerWithUI , GlobalParameterState , Plug , SyncDelayProcessor , HostCheckerController , HostCheckerProcessor , Plug , AGain , Plug , ADelayProcessor , AGainController
- getTailSamples() : HostCheckerProcessor
- getTest() : TestSuite
- getTestCount() : TestSuite
- getTestSuite() : TestSuite
- getUnitByBus() : PlugController , PitchNamesController , HostCheckerController
- getUnitCount() : HostCheckerController
- getUnitID() : ProxyParameter
- getVoice() : VoiceProcessorImplementation< Precision, VoiceClass, numChannels, maxVoices, GlobalParameterStorage >
- getVst2UniqueId() : ShepardProcessor , TalkBoxProcessor , SubSynthProcessor , ImageProcessor , DubDelayProcessor , DelayProcessor , LoudnessProcessor , DynamicsProcessor , DegradeProcessor , OverdriveProcessor , ComboProcessor , BandistoProcessor , AmbienceProcessor , PianoProcessor , DX10Processor , TestToneProcessor , LeslieProcessor , DetuneProcessor , MultiBandProcessor , LimiterProcessor , JX10Processor , ThruZeroProcessor , BeatBoxProcessor , SplitterProcessor , Processor , DitherProcessor , RoundPanProcessor , RezFilterProcessor , TrackerProcessor , RingModProcessor , RePsychoProcessor , SpecMeterProcessor , StereoProcessor , DeEsserProcessor , EPianoProcessor
- getXmlRepresentationStream() : HostCheckerController

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.